#! /usr/bin/python



__author__ = 'Predrag Pejovic'
__license__ = 'GPLv3'
__date__ = '2017-11-12'



from pylab import *
from oscusb3 import *
import sys


R = 1e3

o = Oscilloscope(shy = True)

o.stop()
vd = o.getsamples(1)
vg = o.getsamples(2)
o.run()

idiode = (vg - vd) / R

#
close('all')
rc('text', usetex = True)
rc('font', family = 'serif')
rc('font', size = 12)
rcParams['text.latex.preamble']=[r'\usepackage{amsmath}']
#
ts = timestamp()
if len(sys.argv) > 1:
    filename = sys.argv[1] + '_' + ts + '.png'
    filenameq = sys.argv[1] + '_' + ts + 'q.png'
else:
    filename = ts + '.png'
    filenameq = ts + 'q.png'
#
figure(1)
#
plot(vd, idiode * 1e3, 'b')
grid()
#
xlabel(r'$v_D \, [\text{V}]$')
ylabel(r'$i_D \, [\text{mA}]$')
#
savefig(filename)
#
figure(2)
#
plot(vd, idiode * 1e3, 'b.')
grid()
#
xlabel(r'$v_D \, [\text{V}]$')
ylabel(r'$i_D \, [\text{mA}]$')
#
savefig(filenameq)

