#! /usr/bin/python



__author__ = 'Predrag Pejovic'
__license__ = 'GPLv3'
__date__ = '2018-12-02'



from pylab import *

f = array([40.0, 100.0, 400.0, 1000.0, 4000.0])

p0 = np.load('1e/Pmag.npy')
i0 = np.load('1e/i_max.npy')
l0 = np.load('1e/lambda_max.npy')

p1 = np.load('1b/Pmag.npy')
i1 = np.load('1b/i_max.npy')
l1 = np.load('1b/lambda_max.npy')

p2 = np.load('1d/Pmag.npy')
i2 = np.load('1d/i_max.npy')
l2 = np.load('1d/lambda_max.npy')

p3 = np.load('1f/Pmag.npy')
i3 = np.load('1f/i_max.npy')
l3 = np.load('1f/lambda_max.npy')

p4 = np.load('1c/Pmag.npy')
i4 = np.load('1c/i_max.npy')
l4 = np.load('1c/lambda_max.npy')



close('all')
rc('text', usetex = True)
rc('font', family = 'serif')
rc('font', size = 12)
rcParams['text.latex.preamble']=[r'\usepackage{amsmath}']



figure(1)

plot(l0, p0, 'b', label = r'$f = 40 \, \text{Hz}$')
plot(l0, p0, 'b.')

plot(l1, p1, 'c', label = r'$f = 100 \, \text{Hz}$')
plot(l1, p1, 'c.')

plot(l2, p2, 'r', label = r'$f = 400 \, \text{Hz}$')
plot(l2, p2, 'r.')

plot(l3, p3, 'm', label = r'$f = 1000 \, \text{Hz}$')
plot(l3, p3, 'm.')

plot(l4, p4, 'g', label = r'$f = 4000 \, \text{Hz}$')
plot(l4, p4, 'g.')

xlabel(r'$\lambda_{max} \; [\text{mWb}]$')
#xlim(0, 1.5)
ylabel(r'$P_{core} \; [\text{mW}]$')
#ylim(0, 10)
title('Core Losses, T2')

grid()
legend()

# savefig('core-loss-lambda.pdf')
savefig('core-losses-lambda.png')



figure(2)

plot(i0, p0, 'b', label = r'$f = 40 \, \text{Hz}$')
plot(i0, p0, 'b.')

plot(i1, p1, 'c', label = r'$f = 100 \, \text{Hz}$')
plot(i1, p1, 'c.')

plot(i2, p2, 'r', label = r'$f = 400 \, \text{Hz}$')
plot(i2, p2, 'r.')

plot(i3, p3, 'm', label = r'$f = 1000 \, \text{Hz}$')
plot(i3, p3, 'm.')

plot(i4, p4, 'g', label = r'$f = 4000 \, \text{Hz}$')
plot(i4, p4, 'g.')

xlabel(r'$i_{max} \; [\text{mA}]$')
#xlim(0, 150)
ylabel(r'$P_{core} \; [\text{mW}]$')
#ylim(0, 10)
title('Core Losses, T2')

grid()
legend()

# savefig('core-loss-current.pdf')
savefig('core-loss-current.png')

