#! /usr/bin/python



__author__ = 'Predrag Pejovic'
__license__ = 'GPLv3'
__date__ = '2021-11-27'



import os
import usbtmc
from oscusb3 import *

################################################################################
#
# generator
#
try:
    gen = usbtmc.Instrument(0x0957, 0x0407)
    gen.write('*rst')
    gen.write('function square')
    gen.write('output off')
    gen.write('output:load 9.9e37')
except:
    print('cannot find generator')
#
################################################################################

################################################################################
#
# oscilloscope
#
try:
    o = Oscilloscope(shy = True)
    o.write('*rst')
except:
    pass
#
################################################################################

# 1a
os.system('rm -f 1a/*.npy')
os.system('rm -f 1a/*.jpg')
os.system('rm -f 1a/*.png')
os.system('rm -f 1a/*.pdf')

# 1b
os.system('rm -f 1b/*.npy')
os.system('rm -f 1b/*.jpg')
os.system('rm -f 1b/*.png')
os.system('rm -f 1b/*.pdf')

# 1c
os.system('rm -f 1c/*.npy')
os.system('rm -f 1c/*.png')

# 1d
os.system('rm -f 1d/*.npy')
os.system('rm -f 1d/*.png')

# 1e
os.system('rm -f 1e/*.npy')
os.system('rm -f 1e/*.png')

# 1f
os.system('rm -f 1f/*.npy')
os.system('rm -f 1f/*.png')

# 1g
os.system('rm -f 1g/*.npy')
os.system('rm -f 1g/*.png')

# 2diode
os.system('rm -f 2diode/*.png')

# 2ce
os.system('rm -f 2ce/*.pdf')
os.system('rm -f 2ce/*.txt')
os.system('rm -f 2ce/*.jpg')

# 2classB
os.system('rm -f 2classB/*.pdf')
os.system('rm -f 2classB/*.txt')
os.system('rm -f 2classB/*.jpg')

# base directory
os.system('rm -f *.png')

